Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.cybergarage.upnp.event
Class SubscriptionResponse

    java.lang.Object
      org.cybergarage.http.HTTPPacket
          org.cybergarage.http.HTTPResponse
              org.cybergarage.upnp.event.SubscriptionResponse

    public class SubscriptionResponse

extends HTTPResponse

Constructor Summary
`SubscriptionResponse()`
`SubscriptionResponse(HTTPResponse httpRes)`

Method Summary
`String` | `getSID()`
`long` | `getTimeout()`
`void` | `setErrorResponse(int code)`
`void` | `setResponse(int code)`
`void` | `setSID(String id)`
`void` | `setTimeout(long value)`

Methods inherited from class org.cybergarage.http.HTTPResponse
`getHeader, getStatusCode, getStatusLineString, isSuccessful, print, setStatusCode, toString`

Methods inherited from class org.cybergarage.http.HTTPPacket
`addHeader, addHeader, clearHeaders, getCacheControl, getConnection, getContent, getContentInputStream, getContentLength, getContentRange, getContentRangeFirstPosition, getContentRangeInstanceLength, getContentRangeLastPosition, getContentString, getContentType, getDate, getFirstLine, getFirstLineToken, getHeader, getHeader, getHeaderString, getHeaderValue, getHost, getIntegerHeaderValue, getLongHeaderValue, getNHeaders, getServer, getStringHeaderValue, getStringHeaderValue, getTransferEncoding, getVersion, hasConnection, hasContent, hasContentInputStream, hasContentRange, hasFirstLine, hasHeader, hasTransferEncoding, init, isChunked, isCloseConnection, isKeepAliveConnection, read, set, set, set, set, setCacheControl, setCacheControl, setCacheControl, setConnection, setContent, setContent, setContent, setContent, setContentInputStream, setContentLength, setContentRange, setContentType, setDate, setHeader, setHeader, setHeader, setHeader, setHost, setIntegerHeader, setLongHeader, setServer, setStringHeader, setStringHeader, setTransferEncoding, setVersion`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SubscriptionResponse

    public SubscriptionResponse()

### SubscriptionResponse

    public SubscriptionResponse(HTTPResponse httpRes)

Method Detail

### setResponse

    public void setResponse(int code)

### setErrorResponse

    public void setErrorResponse(int code)

### setSID

    public void setSID(String id)

### getSID

    public String getSID()

### setTimeout

    public void setTimeout(long value)

### getTimeout

    public long getTimeout()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD